Loading...
Searching...
No Matches
NMRDescriptors.h File Reference
`#include <BALL/common.h>`
`#include <BALL/DATATYPE/hashMap.h>`
`#include <BALL/KERNEL/residue.h>`
`#include <BALL/KERNEL/protein.h>`
`#include <BALL/KERNEL/atomContainer.h>`

Go to the source code of this file.

## Namespaces

namespace | BALL

## Functions

BALL_EXPORT void | BALL::calculateResidueChiAngles (const Protein &protein, HashMap< const Residue *, float > &residue_angles)
BALL_EXPORT void | BALL::calculateResidueChiAngles (const Chain &fragment, HashMap< const Residue *, float > &residue_angles)
BALL_EXPORT float | BALL::calculateResidueChiAngles (const Residue &residue)
BALL_EXPORT void | BALL::calculateResidueChi2Angles (const Protein &protein, HashMap< const Residue *, float > &residue_angles)
BALL_EXPORT void | BALL::calculateResidueChi2Angles (const Chain &fragment, HashMap< const Residue *, float > &residue_angles)
BALL_EXPORT float | BALL::calculateResidueChi2Angles (const Residue &residue)